/* eslint-disable no-undef */
// eslint-disable-next-line @typescript-eslint/no-var-requires
const { getJestConfig } = require('@storybook/test-runner');

module.exports = {
    // The default configuration comes from @storybook/test-runner
    ...getJestConfig(),
    rootDir: process.cwd(),
    testMatch: ['**/stories/*.stories.tsx'],
    transform: {
        '^.+\\.stories\\.[jt]sx?$': '@storybook/test-runner/playwright/transform',
        '^.+\\.tsx?$': 'babel-jest',
    },
    reporters: [
        'default',
        'jest-junit',
        [
            'jest-stare',
            {
                resultDir: `./test-reports/visual${
                    process.env.JOB_BROWSER ? `-${process.env.JOB_BROWSER}` : ''
                }`,
                reportTitle: `Visual Test Report ${
                    process.env.JOB_BROWSER ? `-${process.env.JOB_BROWSER}` : ''
                }`,
                reportHeadline: `Visual Test Report ${
                    process.env.JOB_BROWSER ? `-${process.env.JOB_BROWSER}` : ''
                }`,
                hidePending: true,
                resultHtml: 'visual-report.html',
            },
        ],
    ],
    globals: {
        __DEV__: true,
    },
};
