import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Used with other the formatting options in layout editing. Align objects vertically evenly
 * @category Formatting
 * @keywords edit format
 * @variants outlined
 */
declare const AlignDistributeVertical: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default AlignDistributeVertical;
