import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Redo action for one step forward of ongoing editing when you did undo
 * @category Controls
 * @keywords arrow, undo/redo, mail forward
 * @variants outlined
 */
declare const ArrowBowRight: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ArrowBowRight;
