import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Represents a destination or an input point
 * @category Data Flow
 * @keywords output,  ingest, storage, store, data transfer
 * @variants outlined,filled
 */
declare const ArrowCircleInRight: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ArrowCircleInRight;
