import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Used as a source place where data comes from
 * @category Data Flow
 * @keywords data flow, departure, destination, arrow out, left to right
 * @variants outlined,filled
 */
declare const ArrowCircleOutRight: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ArrowCircleOutRight;
