import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Rotate Clockwise action for rotating an object 90 degrees clockwise in editing
 * @category Controls
 * @keywords refresh, loop, repeat, cycle
 * @variants outlined
 */
declare const ArrowClockwise: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ArrowClockwise;
