import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Table Sort Ascent/descent, Up/Down, multi-use
 * @category Navigation
 * @keywords arrow up/down, ascent/descent
 * @variants outlined
 */
declare const ArrowDown: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ArrowDown;
