import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Pan, movable or draggable object for free directions
 * @category Controls
 * @keywords arrows, move, 4 ways
 * @variants outlined
 */
declare const ArrowFourWays: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ArrowFourWays;
