import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Mainly used for going back or previous action, left/right, multi-use, previous/next page
 * @category Navigation
 * @keywords arrow left/right, back, previous/next
 * @variants outlined
 */
declare const ArrowLeft: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ArrowLeft;
