import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description View Sheet Down is an action to collapse sheet UI on mobile app
 * @category Controls
 * @keywords action, mobile, UI element
 * @variants outlined,filled
 */
declare const ArrowSquareHalfDown: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ArrowSquareHalfDown;
