import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Move To is an action to move something to other place or directory
 * @category Actions
 * @keywords action, move, file location
 * @variants outlined,filled
 */
declare const ArrowSquareRight: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ArrowSquareRight;
