import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description View Open External represents an action to open link in new window
 * @category Controls
 * @keywords action, link, open, square, box
 * @variants outlined,filled
 */
declare const ArrowSquareTopRightInset: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ArrowSquareTopRightInset;
