import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Sort action which shows sortable status at field label on table header, swap up/down
 * @category Controls
 * @keywords arrows, ascent/descent, up/down, reverse
 * @variants outlined
 */
declare const ArrowUpDown: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ArrowUpDown;
