import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Refresh (Reload, Syncing) action used to start reloading or synchronization
 * @category Controls
 * @keywords arrows, loading animation, repeat, cycle
 * @variants outlined
 */
declare const ArrowsCircularDouble: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ArrowsCircularDouble;
