import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Routing (Data Flows) represents for streaming routes of data, or managing them
 * @category Data Flow
 * @keywords arrows right, splited
 * @variants outlined
 */
declare const ArrowsSeparatedRight: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ArrowsSeparatedRight;
