import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Mask values action for DMX, hidden password
 * @category Formatting
 * @keywords masked, hide, secret, security, passcode
 * @variants outlined,filled
 */
declare const AsterisksUnderline: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default AsterisksUnderline;
