import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Comment action or indicator of user's comment or note, SMS, text chat
 * @category Notifications
 * @keywords chat bubble
 * @variants outlined,filled
 */
declare const Balloon: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Balloon;
