import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Chat balloon with a dot signifying the notification of an unread message
 * @category Notifications
 * @keywords alert, comment, chat, message
 * @variants outlined,filled
 */
declare const BalloonDot: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default BalloonDot;
