import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Message Bubbles, Communications used for forum or group chats
 * @category Notifications
 * @keywords support, user forum, conversations, sms
 * @variants outlined,filled
 */
declare const BalloonsChat: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default BalloonsChat;
