import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Notification New indicates that unread notification(s) exsist
 * @category Notifications
 * @keywords alert, bell, warning
 * @variants outlined,filled
 */
declare const BellDot: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default BellDot;
