import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Notification Off indicates that the notification is muted, or not supported
 * @category Notifications
 * @keywords alert, bell, warning (*Back slash comes from alphabet 'Not')
 * @variants outlined,filled
 */
declare const BellSlashed: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default BellSlashed;
