import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Building Blocks (a pony or a house?) represent one of categories of Prisma UI components
 * @category Objects
 * @keywords document category, ui components
 * @variants outlined,filled
 */
declare const BlocksHorse: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default BlocksHorse;
