import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Workbook, Guide, Manual, Library
 * @category Objects
 * @keywords library, help, reference
 * @variants outlined,filled
 */
declare const BookOpen: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default BookOpen;
