import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Bookmark represents Favorite list, Resume point
 * @category Objects
 * @keywords book, url, favourites, stars
 * @variants outlined,filled
 */
declare const Bookmark: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Bookmark;
