import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Severity Lv1 Syslog Debug (O11y) *Use filled style
 * @category Notifications
 * @keywords alert, code error, development tool, qa, report
 * @variants outlined,filled
 */
declare const Bug: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Bug;
