import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description A dropdown menu button, collapsible panel, or accordion component
 * @category Controls
 * @keywords select, design system, ui, interaction
 * @variants outlined,filled
 */
declare const ButtonPulldown: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ButtonPulldown;
