import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Add UI menu item in Dashboard Studio representing pulldown buttons
 * @category Controls
 * @keywords ui, interface, select, menu, flyover
 * @variants outlined,filled
 */
declare const ButtonsPulldown: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ButtonsPulldown;
