import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Calculator icon for calculation action or indicator
 * @category Objects
 * @keywords calculation, computing, operation, math
 * @variants outlined,filled
 */
declare const Calculator: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Calculator;
