import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Calendar, Scheduled event, create new event action
 * @category Actions
 * @keywords event
 * @variants outlined,filled
 */
declare const Calendar: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Calendar;
