import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Shift assignment to others represents an action to assign someone to this shift
 * @category Actions
 * @keywords calendar, event, arrow, forward
 * @variants outlined,filled
 */
declare const CalenderArrowRight: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default CalenderArrowRight;
