import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Link action or indicator used for adding URL or opening other website
 * @category Actions
 * @keywords chain, connection, external
 * @variants outlined,filled
 */
declare const Chain: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Chain;
