import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Unlink action or indicator used for unlinking status
 * @category Actions
 * @keywords link, connection, external, URL
 * @variants outlined,filled
 */
declare const ChainSlashed: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ChainSlashed;
