import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Chart Area represents area chart type for visualization
 * @category Data Visualization
 * @keywords chart, dashboard studio, data visualization editor
 * @variants outlined,filled
 */
declare const ChartArea: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ChartArea;
