import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Represents a dashboard, a chart, generic visualizations, statistics, analysis
 * @category Data Visualization
 * @keywords chart, dashboard studio, data visualization editor
 * @variants outlined
 */
declare const ChartColumnThin: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ChartColumnThin;
