import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Chart Gauge represents a type of visualization which has single value and arc gauge
 * @category Data Visualization
 * @keywords SV chart, major value, chart, dashboard studio, data visualization editor
 * @variants outlined,filled
 */
declare const ChartGauge: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ChartGauge;
