import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Stacked icicle graph downwards, used as profiling in Observability
 * @category Visualization
 *
 * @variants outlined,filled
 */
declare const ChartIcicle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ChartIcicle;
