import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description SLO service for Splunk Observability
 * @category Data Visualization
 * @keywords SLI, SLA, alert, above the line, uptime rate
 * @variants outlined,filled
 */
declare const ChartLineUnderlineDotted: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ChartLineUnderlineDotted;
