import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
     * @description Single value icon for DataViz
Data Visualization
SV chart, smile, face, major value, number, hash
     *
     *
     * @variants outlined,filled
     */
declare const ChartSingleValueIcon: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ChartSingleValueIcon;
