import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
     * @description Indeterminate checkmark for check box. Used with check box frame
Controls
UI elements, square, box, boolean, input
     *
     *
     * @variants outlined,filled
     */
declare const CheckBoxIndeterminate: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default CheckBoxIndeterminate;
