import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Success indicator used for indication of good status
 * @category Actions
 * @keywords status, severity, check, done, solved
 * @variants outlined,filled
 */
declare const CheckCircle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default CheckCircle;
