import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Check Radio *not UI, only for specific use
 * @category Controls
 * @keywords UI elements
 * @variants outlined,filled
 */
declare const CheckRadio: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default CheckRadio;
