import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Checkmark represents selected or done status
 * @category Actions
 * @keywords status, selected, severity, check, done, sovled
 * @variants outlined
 */
declare const Checkmark: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Checkmark;
