import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Used for transition in a component. Expanded accordion menu, click to collapse
 * @category Navigation
 * @keywords arrow, open/close, expand/collapse
 * @variants outlined
 */
declare const ChevronDown: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ChevronDown;
