import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Fit to View represents an action to fit content to current window or fullscreen
 * @category Controls
 * @keywords action, view mode, square, box
 * @variants outlined,filled
 */
declare const ChevronsSquareOut: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ChevronsSquareOut;
