import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Circle used for multi-purpose
 * @category Objects
 * @keywords geometry, object, shape, sphere, ball
 * @variants outlined,filled
 */
declare const Circle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Circle;
