import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Inferred service object in Observability APM
 * @category Data Flow
 *
 * @variants outlined
 */
declare const CircleDashed: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default CircleDashed;
