import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Circle Half represents contrast element, invert view option
 * @category Objects
 * @keywords status, inverted, black and white, negative, positive
 * @variants outlined,filled
 */
declare const CircleHalfFilled: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default CircleHalfFilled;
