import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Not allowed, prohibited, not available, disabled status
 * @category Actions
 * @keywords status, severity, illegal, error, alert, disability, x (*Back slash comes from alphabet 'Not')
 * @variants outlined,filled
 */
declare const CircleSlashed: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default CircleSlashed;
