import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Paste action from clipboard
 * @category Actions
 * @keywords cut, copy, paste, clipboard
 * @variants outlined,filled
 */
declare const Clipboard: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Clipboard;
