import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Clock represents time, history, scheduled actions or events
 * @category Objects
 * @keywords time, schedule
 * @variants outlined,filled
 */
declare const Clock: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Clock;
