import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Clock alarm indicates alarm settings or snoozed alert
 * @category Objects
 * @keywords time, schedule, alarm, snooze
 * @variants outlined,filled
 */
declare const ClockAlarm: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ClockAlarm;
