import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Cloud represents common cloud storage
 * @category Objects
 * @keywords storage, cloud, network
 * @variants outlined,filled
 */
declare const Cloud: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Cloud;
