import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Download action from cloud to local
 * @category Actions
 * @keywords storage, cloud, network, local, file transfer
 * @variants outlined,filled
 */
declare const CloudArrowDown: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default CloudArrowDown;
