import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Compass represents directional support, or azimuth direction sensor
 * @category Objects
 * @keywords support, direction, sensor
 * @variants outlined,filled
 */
declare const Compass: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Compass;
