import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Container represents a container of Kubernetes or Docker
 * @category Data Type
 * @keywords virtual machine, application environment
 * @variants outlined,filled
 */
declare const Container: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Container;
