import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Control Fast Forward Circle is an action button, or fast search status
 * @category Controls
 * @keywords fast forward button, next, preview, playing status, triangle
 * @variants outlined,filled
 */
declare const ControlFastForwardCircle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ControlFastForwardCircle;
