import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Control Next Circle is an action to skip to next content
 * @category Controls
 * @keywords next button, left pipe, fast forward, preview, playing status, triangle
 * @variants outlined,filled
 */
declare const ControlNextCircle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ControlNextCircle;
