import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Control Pause is an action to pause playing content or data stream, indicate paused status
 * @category Controls
 * @keywords pause button, paused status, playing status
 * @variants outlined,filled
 */
declare const ControlPause: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ControlPause;
