import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Control Pause Circle is an action to pause, or indicate paused status
 * @category Controls
 * @keywords status, paused, data stream, searching, processing, playing status
 * @variants outlined,filled
 */
declare const ControlPauseCircle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ControlPauseCircle;
