import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Control Play is an action to play content or data stream, programmed process
 * @category Controls
 * @keywords play button, playing status, triangle
 * @variants outlined,filled
 */
declare const ControlPlay: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ControlPlay;
