import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Control Play Circle, play button with circle indicates running status or play action
 * @category Controls
 * @keywords play button, playing status, triangle
 * @variants outlined,filled
 */
declare const ControlPlayCircle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ControlPlayCircle;
