import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Control Previous Circle is an action to skip to next content or back to top
 * @category Controls
 * @keywords previous button, right pipe, fast rewind, preview, playing status, triangle
 * @variants outlined,filled
 */
declare const ControlPreviousCircle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ControlPreviousCircle;
