import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Control Rewind Circle is an action button for fast rewind (ff) button, fast search
 * @category Controls
 * @keywords fast rewind button, preview, previous, playing status, triangle
 * @variants outlined,filled
 */
declare const ControlRewindCircle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ControlRewindCircle;
