import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Control Stop is stop playing action
 * @category Controls
 * @keywords stop button, stopped status, square, box, playing status
 * @variants outlined,filled
 */
declare const ControlStop: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ControlStop;
