import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Stop button with circle indicates running status or stop sequence action (e.g. AI assistant)
 * @category Controls
 * @keywords play, pause, stop, conversation, stream, streaming, music, video, movie
 * @variants outlined,filled
 */
declare const ControlStopCircle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ControlStopCircle;
