import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Credit Card represents payment, billing, or subscription
 * @category Objects
 * @keywords subscription, service payment, purchasing
 * @variants outlined,filled
 */
declare const CreditCard: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default CreditCard;
