import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Crop, Trim Image is an action to crop image, content for editing
 * @category Formatting
 * @keywords edit, toolbar
 * @variants outlined
 */
declare const Crop: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Crop;
