import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Delete action, Close, Error status
 * @category Actions
 * @keywords control, action, status, error, erase, remove, x
 * @variants outlined,filled
 */
declare const CrossCircle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default CrossCircle;
