import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Select, Interaction represents a mouse pointer
 * @category Controls
 * @keywords mouse cursor, interaction, click, pointer
 * @variants outlined,filled
 */
declare const CursorArrow: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default CursorArrow;
