import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Dataset Warning indicates a dataset (storage) with error or alert
 * @category Data Type
 * @keywords database, dataset, storage
 * @variants outlined,filled
 */
declare const CylinderAlert: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default CylinderAlert;
