import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Partition data for DMX, part of data, pie chart in 3D
 * @category Data Type
 * @keywords database, dataset, storage
 * @variants outlined,filled
 */
declare const CylinderPieLifted: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default CylinderPieLifted;
