import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Data Management used for configuration of datasets for ACIES
 * @category Data Type
 * @keywords database, dataset, storage, configuration, settings
 * @variants outlined,filled
 */
declare const CylinderWrench: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default CylinderWrench;
