import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Custome data type is used as one of data type for ICX
 * @category Data Type
 * @keywords data type, coding, SPL2, t:
 * @variants outlined,filled
 */
declare const DataType: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default DataType;
