import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Device(s) of Splunk Edge Hub
 * @category Data Type
 * @keywords monitoring sensors, realtime stream, infrastructure, data source
 * @variants outlined,filled
 */
declare const DeviceEdgeHub: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default DeviceEdgeHub;
