import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Severity Lv4 Syslog Warning [Yellow] *Use filled style
 * @category Severity
 * @keywords alert, incident, error, diamond, square
 * @variants outlined,filled
 */
declare const Diamond: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Diamond;
