import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Sign In, Enter represents an action to log in an account
 * @category Actions
 * @keywords door, sign in, entrance
 * @variants outlined,filled
 */
declare const DoorArrowInside: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default DoorArrowInside;
