import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Sing Out, Exit represents an action to log out from an account
 * @category Actions
 * @keywords door, sign out, escape
 * @variants outlined,filled
 */
declare const DoorArrowOutside: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default DoorArrowOutside;
