import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description SMS, comments, notes, memos, chat message, tips
 * @category Notifications
 * @keywords chat, text message, notification
 * @variants outlined,filled
 */
declare const DotsThreeBalloon: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default DotsThreeBalloon;
