import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Transfer data from a system, device, or storage, something physical entity
 * @category Data Flow
 * @keywords import, export, ingest
 * @variants outlined,filled
 */
declare const DriveArrowOutside: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default DriveArrowOutside;
