import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Search Head represents search head for Splunk search
 * @category Data Flow
 * @keywords search, action, reporting, structures
 * @variants outlined,filled
 */
declare const DriveMagnifier: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default DriveMagnifier;
