import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Email address or unread message received
 * @category Objects
 * @keywords email, emvelope, message
 * @variants outlined,filled
 */
declare const Envelope: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Envelope;
