import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Notice indicator used for notifying alert and CTA toward user
 * @category Notifications
 * @keywords chat bubble, alert, warning, notification
 * @variants outlined,filled
 */
declare const ExclamationBalloon: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ExclamationBalloon;
