import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Incident represents an incident item to be assigned
 * @category Data Type
 * @keywords alert, exclamation, (!)
 * @variants outlined,filled
 */
declare const ExclamationBrackets: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ExclamationBrackets;
