import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description (Deprecated) Recommend to use Exclamation Triangle for an error state instead of this. Severity Lv5-9 Error for Enterprise [Red] *Use filled style
 * @category Notifications
 * @keywords alert, exclamation, notification, caution, warning, error, square, box
 * @variants outlined,filled
 */
declare const ExclamationSquare: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ExclamationSquare;
