import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Show is used for making an object visible
 * @category Actions
 * @keywords show/hide, view
 * @variants outlined,filled
 */
declare const Eye: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Eye;
