import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Reviewed status with filled style comparing with Eye icon for reviewing in UBEA
 * @category Actions
 * @keywords watch, show, hide, review, green
 * @variants outlined,filled
 */
declare const EyeCheckmark: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default EyeCheckmark;
