import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Hide is used for making an object invisible
 * @category Actions
 * @keywords show/hide, view (*Back slash comes from alphabet 'Not')
 * @variants outlined,filled
 */
declare const EyeSlashed: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default EyeSlashed;
