import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Emoticon, Icon, Stamp
 * @category Objects
 * @keywords emotion, feedback, good vibe
 * @variants outlined,filled
 */
declare const FaceSmile: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default FaceSmile;
