import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Dashboard File, or report file, saved dashboard
 * @category Reports
 * @keywords saved file, document
 * @variants outlined,filled
 */
declare const FileChartColumn: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default FileChartColumn;
