import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description L Shape for Log represents log index
 * @category Data Type
 * @keywords document format, dataset, scroll
 * @variants outlined,filled
 */
declare const FileLogs: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default FileLogs;
