import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Search Module represents saved search and datasets combination for ICX
 * @category Reports
 * @keywords search, file, reporting
 * @variants outlined,filled
 */
declare const FileMagnifier: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default FileMagnifier;
