import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description File Add represents an action to add new file or document
 * @category Reports
 * @keywords document, create new, plus, +
 * @variants outlined,filled
 */
declare const FilePlus: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default FilePlus;
