import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description To open Regex sample list for ICX
 * @category File Extensions
 * @keywords document format, regular expression, find and replace, text editing
 * @variants outlined,filled
 */
declare const FileRegex: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default FileRegex;
