import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description File SVG is one of vector image formats
 * @category File Extensions
 * @keywords document format
 * @variants outlined,filled
 */
declare const FileSvg: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default FileSvg;
