import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Filter represents an action to configure a filter, or indicates a filter is set
 * @category Actions
 * @keywords filter search results
 * @variants outlined,filled
 */
declare const Filter: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Filter;
