import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Save is an action to save settings, files, current configurations *not recommended due to obsoleted motif
 * @category Actions
 * @keywords action, storage, floppy disk
 * @variants outlined,filled
 */
declare const FloppyDisk: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default FloppyDisk;
