import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Folder represents directory to store files or data
 * @category Objects
 * @keywords save, file management, storage, destination
 * @variants outlined,filled
 */
declare const Folder: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Folder;
