import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Forwarder Universal is basic lightweight Splunk agent
 * @category Data Flow
 * @keywords GDI, data ingestion, service, idexing
 * @variants outlined,filled
 */
declare const ForwarderUniversal: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ForwarderUniversal;
