import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Code, Function is function expression for ICX
 * @category Data Type
 * @keywords code, function, class, f()
 * @variants outlined,filled
 */
declare const Function: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Function;
