import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description For gaming status, controller connectivity
 * @category Objects
 * @keywords video game console
 * @variants outlined,filled
 */
declare const GamePad: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default GamePad;
