import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Location represents geographic location data, or marker on map
 * @category Objects
 * @keywords geography, pin, marker, location, place, point
 * @variants outlined,filled
 */
declare const GeoTag: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default GeoTag;
