import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Location Group used for multiple geo tags in same category
 * @category Objects
 * @keywords geography, pin, marker, location, place, point group
 * @variants outlined,filled
 */
declare const GeoTagGroup: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default GeoTagGroup;
