import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description What's new notification or introduction new feature, beneficial present
 * @category Objects
 * @keywords box, ribbons, surprise, exciting
 * @variants outlined,filled
 */
declare const GiftBox: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default GiftBox;
