import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Globe represents nationalities or regions, or indicates what is shared in public, everyone can access, worldwide
 * @category Objects
 * @keywords The Earth, world
 * @variants outlined,filled
 */
declare const Globe: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Globe;
