import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Grid Lines represents grids for editing workspace *not pound
 * @category Layouts
 * @keywords layout, editor
 * @variants outlined,filled
 */
declare const GridLines: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default GridLines;
