import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Used as an indication of applications supported by Splunk officially
 * @category Objects
 * @keywords support, help, assist, operator, call center
 * @variants outlined,filled
 */
declare const HeadsetS: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default HeadsetS;
