import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Contribution page link for Prisma Doc
 * @category Actions
 * @keywords hearts, pens
 * @variants outlined,filled
 */
declare const HeartRibbon: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default HeartRibbon;
