import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Severity Lv3 Syslog Notice *Use filled style
 * @category Severity
 * @keywords alert, incident, error, hexagon, box
 * @variants outlined,filled
 */
declare const Hexagon: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Hexagon;
