import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Hot air balloon
 * @category Objects
 * @keywords transport, high level altitude
 * @variants outlined,filled
 */
declare const HotAirBalloon: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default HotAirBalloon;
