import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Time Duration indicates just processing or waiting started
 * @category Actions
 * @keywords loading, processing, timer
 * @variants outlined,filled
 */
declare const HourglassStart: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default HourglassStart;
