import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Home Navigation is an action to go to home screen
 * @category Navigation
 * @keywords navigation, home, top page
 * @variants outlined,filled
 */
declare const House: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default House;
