import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Accessibility represents usability settings or configurations
 * @category Objects
 * @keywords human interface, circle, usability, a11y
 * @variants outlined,filled
 */
declare const HumanBodyCircle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default HumanBodyCircle;
