import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Index, indexes, indices, Splunk core data format
 * @category Data Flow
 * @keywords event, time stamp, field, columns
 * @variants outlined,filled
 */
declare const Index: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Index;
