import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Info, or "Inspect for Splunk Enterprise" on event viewer
 * @category Notifications
 * @keywords alert, exclamation, notification, caution, warning, error
 * @variants outlined,filled
 */
declare const Information: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Information;
