import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Recommend to use this for caution or alert status with yellow since Exclamation Triangle stands for an error state. Severity Lv4 Warning (< Error) [Yellow] *Use filled style
 * @category Severity
 * @keywords alert, incident, error, triangles, notification, status
 * @variants outlined,filled
 */
declare const InformationDiamond: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default InformationDiamond;
