import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Laptop PC device
 * @category Objects
 * @keywords laptop, pc, device, mobile, client
 * @variants outlined,filled
 */
declare const LaptopOpen: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default LaptopOpen;
