import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description List, Legends represents common list, legends, examples, or conditions
 * @category Layouts
 * @keywords ui components, menu, select, options, checklist
 * @variants outlined
 */
declare const List: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default List;
