import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Audit, Test represents audit, or UI component for checkbox, lists
 * @category Controls
 * @keywords log, checklist, tasks, todos
 * @variants outlined,filled
 */
declare const ListCheck: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ListCheck;
