import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Numbered list, ordered list, list with numbers for text styling, or view mode
 * @category Layouts
 * @keywords rich text, edit, format, priority, steps
 * @variants outlined
 */
declare const ListNumbered: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ListNumbered;
