import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Unlocked indicates insecure, unlocked, editable document, data, or files
 * @category Actions
 * @keywords security, encrypted
 * @variants outlined,filled
 */
declare const LockUnlocked: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default LockUnlocked;
