import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Search represents an action for searching
 * @category Actions
 * @keywords search, action, reporting, keyword
 * @variants outlined,filled
 */
declare const Magnifier: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Magnifier;
