import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Reset horizontal zoom button for ES (Enterprise Security)
 * @category Actions
 * @keywords default zoom, magnifying glass
 * @variants outlined,filled
 */
declare const MagnifierCross: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default MagnifierCross;
