import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Zoom In is an action for zooming in of current view
 * @category Actions
 * @keywords view, zoom, editing, dashboard studio, editor, +
 * @variants outlined,filled
 */
declare const MagnifierPlus: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default MagnifierPlus;
