import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description United States of America, used for deprecated map visualization in Dashboard Studio
 * @category Objects
 *
 * @variants outlined,filled
 */
declare const MapUSA: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default MapUSA;
