import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Remove, Delete, Decrease, Zoom Out action
 * @category Actions
 * @keywords increase/decrease, erase, -
 * @variants outlined,filled
 */
declare const MinusCircle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default MinusCircle;
