import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Common monitor display, Incident Type "System" for ES (Enterprise Security)
 * @category Objects
 * @keywords computer, desktop, pc, screen
 * @variants outlined,filled
 */
declare const Monitor: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Monitor;
