import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Night Mode represents dark mode UI, or do-not-disturb mode of notifications
 * @category Objects
 * @keywords theme, notification, muted
 * @variants outlined,filled
 */
declare const Moon: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Moon;
