import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Data Source represents connected data source, or physical network connector
 * @category Data Type
 * @keywords network cable connector, <••>
 * @variants outlined
 */
declare const NetworkConnector: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default NetworkConnector;
