import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Common network devices, Incident Type "Network Artifact" for ES (Enterprise Security)
 * @category Objects
 * @keywords servers, storage
 * @variants outlined,filled
 */
declare const NetworkDevices: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default NetworkDevices;
