import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Node Rules Engine represents conditional routing of data flow
 * @category Data Flow
 * @keywords data connection, data flow
 * @variants outlined,filled
 */
declare const NodeRulesEngine: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default NodeRulesEngine;
