import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Share for Material, Android is an action to share current content to someone
 * @category Actions
 * @keywords forward action, share, publish
 * @variants outlined,filled
 */
declare const NodeSplit: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default NodeSplit;
