import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Group of services, connection hub, network diagram, cascaded devices
 * @category Data Flow
 * @keywords flower, sun, edges, spread, parent, child, system, graph, chart
 * @variants outlined,filled
 */
declare const NodesCentered: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default NodesCentered;
