import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Color, Style, Theme represents visual customization *not cookie, Objects
 * @category dashboard studio, data visualization editor
 *
 * @variants outlined,filled
 */
declare const Palette: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Palette;
