import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Drag Indicator, Grip Mark for UI object which can be dragged to move, swap, or reorder
 * @category Controls
 * @keywords UI element, touch, handle
 * @variants outlined
 */
declare const ParallelDots: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ParallelDots;
