import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Edit, Rename, Draw represents common edit or text input action
 * @category Actions
 * @keywords action, rename, write, signature
 * @variants outlined,filled
 */
declare const Pencil: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Pencil;
