import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Edit Circle, Need to be edited indicates status can be editable, or need to be configured
 * @category Actions
 * @keywords health, status, rename, write, signature
 * @variants outlined,filled
 */
declare const PencilCircle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default PencilCircle;
