import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Overwrite, Edit, Rename, Draw represents an action for overwriting
 * @category Actions
 * @keywords rename, write, signature
 * @variants outlined,filled
 */
declare const PencilUnderline: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default PencilUnderline;
