import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Phone Call represent phone number or an action to dial number, or start voice chat
 * @category Objects
 * @keywords call center, dial
 * @variants outlined,filled
 */
declare const PhoneReceiverUp: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default PhoneReceiverUp;
