import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Image, Picture, Photo represents common image object
 * @category Objects
 * @keywords photo, jpg, png, gif, webp
 * @variants outlined,filled
 */
declare const Picture: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Picture;
