import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Add Comment action to add user comment or notes
 * @category Notifications
 * @keywords chat bubble, plus, feedback, +
 * @variants outlined,filled
 */
declare const PlusBalloon: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default PlusBalloon;
