import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Add Action, Increase, Zoom In represents an action to add/increase/zoom in
 * @category Actions
 * @keywords button, action, increase/decrease, +
 * @variants outlined,filled
 */
declare const PlusCircle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default PlusCircle;
