import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Add or expand action for specific use case. Plus Circle is more standard than square, Actions, button, action, expand/collapse
 *
 *
 * @variants outlined,filled
 */
declare const PlusSquare: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default PlusSquare;
