import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description User, Profile, Account represents an user or account, profile
 * @category Workspace
 * @keywords accounts, people, members, team
 * @variants outlined,filled
 */
declare const Portrait: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Portrait;
