import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Users, Team, Group represents user group or teams, large organization
 * @category Workspace
 * @keywords accounts, people, members
 * @variants outlined,filled
 */
declare const PortraitsThree: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default PortraitsThree;
