import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Print represents an action to print current content
 * @category Actions
 * @keywords printer, export PDF document
 * @variants outlined,filled
 */
declare const Printer: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Printer;
