import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Visualization, Presentation is an action to start presentation
 * @category Objects
 * @keywords column chart, projector screen stand
 * @variants outlined,filled
 */
declare const ProjectorChartColumn: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ProjectorChartColumn;
