import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Activity, Health Check, Pulse represents activity data of users or monitors
 * @category Actions
 * @keywords active log, pulse, health, heartbeats, sparkline chart
 * @variants outlined
 */
declare const Pulse: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Pulse;
