import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Plug-in, Extension, External Viz represents plug-ins or extensions
 * @category Objects
 * @keywords puzzle piece
 * @variants outlined,filled
 */
declare const PuzzlePiece: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default PuzzlePiece;
