import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Help represents common helpful information or links except for hover tooltip.
 * @category Notifications
 * @keywords alert, notification, hint, guide, question
 * @variants outlined,filled
 */
declare const QuestionCircle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default QuestionCircle;
