import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Represent of an data ingesting agent like an universal forwarder or an Open Telemetry (OTEL) collector for ACIES
 * @category Data Flow
 * @keywords service, indexer, heavy forwarder, GDI
 * @variants outlined,filled
 */
declare const RobotAgent: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default RobotAgent;
