import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Launcher, Starter Pack, Quick Start represents quick introduction and guide for new users
 * @category Objects
 * @keywords rapid package, kit
 * @variants outlined,filled
 */
declare const Rocket: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Rocket;
