import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Cut, clip, separate
 * @category Objects
 * @keywords editor, copy, paste
 * @variants outlined,filled
 */
declare const Scissors: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Scissors;
