import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Reset or center viewing area and zoom in Map visualization
 * @category Actions
 * @keywords focus, target, aim, default position
 * @variants outlined,filled
 */
declare const Scope: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Scope;
