import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Script, Scroll represents common scripts, codes, or macros
 * @category Data Type
 * @keywords text file, strings, logs
 * @variants outlined,filled
 */
declare const Script: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Script;
