import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Gives users quick information and tips on hover state. Use filled style for Severity Lv2 Syslog Information.
 * @category Notifications
 * @keywords alert, exclamation, notification, caution, warning, error, tooltip, severity
 * @variants outlined,filled
 */
declare const SeverityInformation: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default SeverityInformation;
