import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Insert Shape Objects represents adding a shape object on dashboard
 * @category Objects
 * @keywords dashboard studio, data visualization editor
 * @variants outlined,filled
 */
declare const ShapesVariety: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ShapesVariety;
