import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Security represent, category, protection, anti-virus
 * @category Objects
 * @keywords block cyber attack
 * @variants outlined,filled
 */
declare const Shield: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Shield;
