import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Shield with vertical center line represents for defence, protection, security
 * @category Objects
 * @keywords enterprise, virus, attack, game
 * @variants outlined,filled
 */
declare const ShieldSeparated: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ShieldSeparated;
