import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Cruiser, boat, yacht, ferry, vesel
 * @category Objects
 * @keywords sea, ocean, water, logistics, transport, delivery
 * @variants outlined,filled
 */
declare const Ship: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Ship;
