import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Used for "Advanced editing" action for Dashboard studio (Child configuration)
 * @category Navigation
 * @keywords settings, parameters, properties
 * @variants outlined,filled
 */
declare const SlidersDoubleHorizontal: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default SlidersDoubleHorizontal;
