import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Muted status (Not recommend to use as a mute action)
 * @category Actions
 * @keywords sound, audio, volume, alert, music
 * @variants outlined,filled
 */
declare const SpeakerSlashed: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default SpeakerSlashed;
