import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Common square, filled style used for a legend with a text label
 * @category Objects
 * @keywords square, box, rectangle
 * @variants outlined,filled
 */
declare const Square: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Square;
