import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Target, Camera Focus, Scan QR code, Incident Type "Others" for ES (Enterprise Security)
 * @category Objects
 * @keywords barcode reader
 * @variants outlined,filled
 */
declare const SquareAndCorners: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default SquareAndCorners;
