import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Copy Action represents an action to copy selection to clipboard
 * @category Actions
 * @keywords copy, paste, cut
 * @variants outlined,filled
 */
declare const SquaresLayered: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default SquaresLayered;
