import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Stamp, preloaded icon templates, action for approval or certification, visa, passport
 * @category Objects
 * @keywords handle, ink, paper
 * @variants outlined,filled
 */
declare const Stamp: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Stamp;
