import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Favourite, Rating, Bookmark represents user ratings, or UI elements
 * @category Objects
 * @keywords action, starred
 * @variants outlined,filled
 */
declare const Star: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Star;
