import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Octagram for new/attractive/updated indicator
 * @category Objects
 * @keywords alerting, warning, explosion, flash
 * @variants outlined,filled
 */
declare const StarEightPoints: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default StarEightPoints;
