import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Fast race vehicle, convertible car
 * @category Objects
 * @keywords transport, rapid, open, gas, vehicle
 * @variants outlined,filled
 */
declare const SuperCar: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default SuperCar;
