import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Table represents table data content, or table view mode
 * @category Layouts
 * @keywords table, view mode
 * @variants outlined,filled
 */
declare const Table: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Table;
