import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Event Viewer on dashboard visualization type icon
 * @category Data Visualization
 * @keywords table, event viewer, search
 * @variants outlined,filled
 */
declare const TableChevron: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default TableChevron;
