import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Used with the line chart icon on radio bar to switch visualization. Unbalanced column differentiates from the grid icon
 * @category Layouts
 * @keywords table, list, non-visualized data, rectangles
 * @variants outlined,filled
 */
declare const TableList: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default TableList;
