import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Mobile Tablet device *landscape is recommended to differentiate from phone device
 * @category Objects
 * @keywords tablet, device, mobile
 * @variants outlined,filled
 */
declare const Tablet: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Tablet;
