import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Search Tag, Price Tag, Label represents information tags
 * @category Objects
 * @keywords tag, label, category, keyword
 * @variants outlined,filled
 */
declare const Tag: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Tag;
