import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Represent of Open Telemetry Collector, OTEL
 * @category Data Flow
 * @keywords agent, forwarder, indexer, monocular, monitoring
 * @variants outlined,filled
 */
declare const Telescope: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default Telescope;
