import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Unix terminal, commnad line, dos shell, CLI interface window
 * @category Objects
 * @keywords linux, windows, macos, CUI
 * @variants outlined,filled
 */
declare const TerminalConsole: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default TerminalConsole;
