import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Text box align to horizontal center
 * @category Formatting
 * @keywords edit, field, cell, textarea, alignment
 * @variants outlined,filled
 */
declare const TextAlignCenter: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default TextAlignCenter;
