import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Bold styling for rich text editing
 * @category Formatting
 * @keywords styled text, edit, format, enhanced
 * @variants outlined
 */
declare const TextBBold: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default TextBBold;
