import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Designed for add text box button on Dashboard Studio
 * @category Formatting
 * @keywords text box, field, textarea, letter
 * @variants outlined,filled
 */
declare const TextBox: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default TextBox;
