import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Text Direction 45 degrees
 * @category Formatting
 * @keywords text editing, layout
 * @variants outlined
 */
declare const TextDirection45: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default TextDirection45;
