import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined';
}
/**
 * @description Italic style for rich text editing, angled letters
 * @category Formatting
 * @keywords styled text, edit, format, enhanced
 * @variants outlined
 */
declare const TextIItalic: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default TextIItalic;
