import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Feedback Like action and indicator
 * @category Actions
 * @keywords good, thumbs up
 * @variants outlined,filled
 */
declare const ThumbsUp: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default ThumbsUp;
