import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Video camera represents action and status of video recording
 * @category Objects
 * @keywords broadcast, movie recoding, cinema
 * @variants outlined,filled
 */
declare const VideoCamera: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default VideoCamera;
