import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Workload metrics in Cloud Monitoring Console (CMC)
 * @category Objects
 * @keywords bandwidth, data processing, radial gauge
 * @variants outlined,filled
 */
declare const WeightingScale: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default WeightingScale;
