import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description RUM (Real User Monitoring) for Splunk Observability
 * @category Workspace
 * @keywords application, window, user, service
 * @variants outlined,filled
 */
declare const WindowPortrait: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default WindowPortrait;
