import React from 'react';
import SVG from '@splunk/react-icons/SVG';
export interface IconBaseProps extends React.ComponentProps<typeof SVG> {
    children?: React.ReactNode;
    /**
     *  Defaults to outlined, determines the variant of the icon to be rendered
     */
    variant?: 'default' | 'outlined' | 'filled';
}
/**
 * @description Configuration action or status, more proactive settings to be done
 * @category Actions
 * @keywords manual settings, tools, adjustments
 * @variants outlined,filled
 */
declare const WrenchCircle: ({ children, variant, ...otherprops }: IconBaseProps) => React.JSX.Element | null;
export default WrenchCircle;
